Bug 489274 - [RHEL5.3 Xen]: Cannot attach > 16 PV disks using PV-on-HVM drivers
[RHEL5.3 Xen]: Cannot attach > 16 PV disks using PV-on-HVM drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lalancette
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 05:42 EDT by Chris Lalancette
Modified: 2009-09-02 04:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of xen-unstable c/s 18266 and 19266 that seems to fix the problem (8.96 KB, patch)
2009-03-27 10:43 EDT, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2009-03-09 05:42:56 EDT
Description of problem:
While attempting to do some testing on a RHEL-5.3 guest, I wanted to attach 32 disks to an i386 guest.  I used the following command 30 times:

xm block-attach rhel5fv_i386 tap:aio:/var/lib/xen/images/disk.img /dev/xvd? w

Devices xvda->xvdq attached just fine, and I was able to use them in the guest.  However, devices beyond that (/dev/xvdr and higher) did not show up in the guest.  I also performed this test on a PV i386 guest, a PV x86_64 guest, and an FV x86_64 guest; in all 3 of those cases, it worked just fine.  So this seems to be particular to 32-bit FV on 64-bit dom0.
Comment 1 Chris Lalancette 2009-03-09 05:44:18 EDT
This recent upstream discussion may also be relevant here:

http://lists.xensource.com/archives/html/xen-devel/2009-03/msg00146.html
Comment 4 Chris Lalancette 2009-03-27 10:43:09 EDT
Created attachment 337016 [details]
Backport of xen-unstable c/s 18266 and 19266 that seems to fix the problem
Comment 7 Don Zickus 2009-04-16 14:39:39 EDT
in kernel-2.6.18-139.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 13 errata-xmlrpc 2009-09-02 04:55:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.